Bug 133640 - get_random_bytes called before random device initialization
Summary: get_random_bytes called before random device initialization
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 14:39 UTC by David Balažic
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 01:17:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2004-09-25 14:39:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
During boot of FC3t2 ( just press ENTER in boot menu ) from CD, this
message appears:

get_random_bytes called before random device initialization

There seems to be no ill effect, everything goes on nicely.

Maybe this email helps in resolving :
http://www.ussg.iu.edu/hypermail/linux/kernel/0009.0/0232.html

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541 BOOT

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Dave Jones 2004-11-20 20:24:02 UTC
fixed in updates ?


Comment 2 Dave Jones 2005-07-15 19:08:51 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 Dave Jones 2005-10-03 01:17:31 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.